function Ke = ElementStiffnessMatrix(x1,y1,x2,y2,El,A)
% ElementStiffnessMatrix - Stiffness matrix of plane truss element
% ElementStiffnessMatrix(x1,y1,x2,y2,El,A)

Len = sqrt((x2 - x1)^2 + (y2 - y1)^2);
ka = El*A/Len;
c = (x2 - x1)/Len;
s = (y2 - y1)/Len;
Ke = ka*[c*c c*s -c*c -c*s
	c*s s*s -c*s -s*s
	-c*c -c*s c*c c*s
	-c*s -s*s c*s s*s];
